petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMRestoreGlobalVector

Returns a Seq PETSc vector that obtained from DMGetGlobalVector(). Do not use with vector obtained via DMCreateGlobalVector().

### Synopsis

    #include "petscdm.h"
    PetscErrorCode  DMRestoreGlobalVector(DM dm,Vec *g)

Not Collective

### Input Parameter

| dm | - the distributed array
| g | - the global vector

### Keywords

distributed array, create, global, vector

### See Also

DMCreateGlobalVector(), VecDuplicate(), VecDuplicateVecs(),
DMDACreate1d(), DMDACreate2d(), DMDACreate3d(), DMGlobalToGlobalBegin(), DMGlobalToGlobalEnd(), DMGlobalToGlobal(), DMCreateLocalVector(), DMGetGlobalVector()

### Level

beginner

### Location

src/dm/interface/dmget.c

### Examples

src/dm/impls/plex/examples/tutorials/ex1.c.html
src/dm/impls/plex/examples/tutorials/ex1f90.F90.html
src/dm/examples/tutorials/ex12.c.html
src/dm/examples/tutorials/ex51.c.html
src/dm/examples/tutorials/ex11f90.F90.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex33.c.html
src/snes/examples/tutorials/ex62.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages